[AstroPy] Additional Package Installation problem

Ralph Morgan ralph.morgan@my.jcu.edu...
Fri Aug 24 21:49:15 CDT 2012


I tried following the instructions given in the Installing Scientific Python tutorial (http://python4astronomers.github.com/installation/python_install.html) after installing the current EDP academic version (EDP-7.3-2) of python 2.7 on my Windows system (7 Home Premium ver 6.1 build 7601 SP1) without any problems, but get error messages when attempting the 'Install Additional Packages' commands the tutorial lists for Windows:



Enthought Python Distribution -- www.enthought.com<http://www.enthought.com>

Python 2.7.3 |EPD 7.3-2 (32-bit)| (default, Apr 12 2012, 14:30:37) [MSC v.1500 3
.

.

.

Welcome to pylab, a matplotlib-based Python environment [backend: WXAgg].
For more information, type 'help(pylab)'.

In [1]: cd C:\Python27\Scripts
C:\Python27\Scripts

In [2]: easy_install.exe --upgrade pip
  File "<ipython-input-2-9ddc46f55be3>", line 1
    easy_install.exe --upgrade pip
                                 ^
SyntaxError: invalid syntax

In [3]: pip.exe install --upgrade distribute
  File "<ipython-input-3-5a79986fb019>", line 1
    pip.exe install --upgrade distribute
                  ^
SyntaxError: invalid syntax

Any hints on what to do? Is the tutorial out of date?



I also get some error messages when running the commands the tutorial provides in the 'Test your installation' section:



In [4]: % python -V
ERROR: Magic function `python` not found.
In [5]: % ipython -V
ERROR: Magic function `ipython` not found.
In [6]: % ipython -pylab
ERROR: Magic function `ipython` not found.
In [7]: import numpy

In [8]: import scipy

In [9]: import scipy.linalg

In [10]: print numpy.__version__
1.6.1

In [11]: print scipy.__version__
0.10.1

In [12]: print matplotlib.__version__
1.1.0



And since the easy_install.exe upgrade didn't work, I can't install some of the required packages:



In [13]: import asciitable
---------------------------------------------------------------------------
ImportError                               Traceback (most recent call last)
C:\Python27\Scripts\<ipython-input-13-4cd71165d355> in <module>()
----> 1 import asciitable

ImportError: No module named asciitable



Is there a suitable forum that answers such newbie questions?
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/astropy/attachments/20120825/19091577/attachment.html 


More information about the AstroPy mailing list